clang 10.0.0git

Macros | Typedefs | Enumerations | Functions | Variables
MSVCSetupApi.h File Reference

Go to the source code of this file.

## Macros
#define | E_NOTFOUND HRESULT_FROM_WIN32(ERROR_NOT_FOUND)
#define | E_FILENOTFOUND HRESULT_FROM_WIN32(ERROR_FILE_NOT_FOUND)
#define | __ISetupInstance_FWD_DEFINED__
#define | __ISetupInstance2_FWD_DEFINED__
#define | __IEnumSetupInstances_FWD_DEFINED__
#define | __ISetupConfiguration_FWD_DEFINED__
#define | __ISetupConfiguration2_FWD_DEFINED__
#define | __ISetupPackageReference_FWD_DEFINED__
#define | __ISetupHelper_FWD_DEFINED__
#define | __SetupConfiguration_FWD_DEFINED__

## Typedefs
typedef struct ISetupInstance | ISetupInstance
typedef struct ISetupInstance2 | ISetupInstance2
typedef struct IEnumSetupInstances | IEnumSetupInstances
typedef struct ISetupConfiguration | ISetupConfiguration
typedef struct ISetupConfiguration2 | ISetupConfiguration2
typedef struct ISetupPackageReference | ISetupPackageReference
typedef struct ISetupHelper | ISetupHelper

## Enumerations
enum | InstanceState : unsigned { eNone = 0, eLocal = 1, eRegistered = 2, eNoRebootRequired = 4, eComplete = MAXUINT }
| The state of an instance. More...

## Functions
STDMETHODIMP | GetSetupConfiguration (_Out_ ISetupConfiguration **ppConfiguration, _Reserved_ LPVOID pReserved)
| Gets an ISetupConfiguration that provides information about product instances installed on the machine. More...

## Variables
EXTERN_C const IID | IID_ISetupInstance
EXTERN_C const IID | IID_ISetupInstance2
EXTERN_C const IID | IID_IEnumSetupInstances
EXTERN_C const IID | IID_ISetupConfiguration
EXTERN_C const IID | IID_ISetupConfiguration2
EXTERN_C const IID | IID_ISetupPackageReference
EXTERN_C const IID | IID_ISetupHelper
EXTERN_C const CLSID | CLSID_SetupConfiguration

## Macro Definition Documentation

## ◆ __IEnumSetupInstances_FWD_DEFINED__

#define __IEnumSetupInstances_FWD_DEFINED__

Definition at line 86 of file MSVCSetupApi.h.

## ◆ __ISetupConfiguration2_FWD_DEFINED__

#define __ISetupConfiguration2_FWD_DEFINED__

Definition at line 96 of file MSVCSetupApi.h.

## ◆ __ISetupConfiguration_FWD_DEFINED__

#define __ISetupConfiguration_FWD_DEFINED__

Definition at line 91 of file MSVCSetupApi.h.

## ◆ __ISetupHelper_FWD_DEFINED__

#define __ISetupHelper_FWD_DEFINED__

Definition at line 106 of file MSVCSetupApi.h.

## ◆ __ISetupInstance2_FWD_DEFINED__

#define __ISetupInstance2_FWD_DEFINED__

Definition at line 81 of file MSVCSetupApi.h.

## ◆ __ISetupInstance_FWD_DEFINED__

#define __ISetupInstance_FWD_DEFINED__

Definition at line 76 of file MSVCSetupApi.h.

## ◆ __ISetupPackageReference_FWD_DEFINED__

#define __ISetupPackageReference_FWD_DEFINED__

Definition at line 101 of file MSVCSetupApi.h.

## ◆ __SetupConfiguration_FWD_DEFINED__

#define __SetupConfiguration_FWD_DEFINED__

Definition at line 113 of file MSVCSetupApi.h.

## ◆ E_FILENOTFOUND

#define E_FILENOTFOUND HRESULT_FROM_WIN32(ERROR_FILE_NOT_FOUND)

Definition at line 38 of file MSVCSetupApi.h.

## ◆ E_NOTFOUND

#define E_NOTFOUND HRESULT_FROM_WIN32(ERROR_NOT_FOUND)

Definition at line 34 of file MSVCSetupApi.h.

## Typedef Documentation

## ◆ IEnumSetupInstances

typedef struct IEnumSetupInstances IEnumSetupInstances

Definition at line 87 of file MSVCSetupApi.h.

## ◆ ISetupConfiguration

typedef struct ISetupConfiguration ISetupConfiguration

Definition at line 92 of file MSVCSetupApi.h.

## ◆ ISetupConfiguration2

typedef struct ISetupConfiguration2 ISetupConfiguration2

Definition at line 97 of file MSVCSetupApi.h.

## ◆ ISetupHelper

typedef struct ISetupHelper ISetupHelper

Definition at line 107 of file MSVCSetupApi.h.

## ◆ ISetupInstance

typedef struct ISetupInstance ISetupInstance

Definition at line 77 of file MSVCSetupApi.h.

## ◆ ISetupInstance2

typedef struct ISetupInstance2 ISetupInstance2

Definition at line 82 of file MSVCSetupApi.h.

## ◆ ISetupPackageReference

typedef struct ISetupPackageReference ISetupPackageReference

Definition at line 102 of file MSVCSetupApi.h.

## Enumeration Type Documentation

## ◆ InstanceState

enum InstanceState : unsigned

The state of an instance.

Enumerator
eNone | The instance state has not been determined.
eLocal | The instance installation path exists.
eRegistered | A product is registered to the instance.
eNoRebootRequired | No reboot is required for the instance.
eComplete | The instance represents a complete install.

Definition at line 46 of file MSVCSetupApi.h.

## Function Documentation

## ◆ GetSetupConfiguration()

STDMETHODIMP GetSetupConfiguration | ( | _Out_ ISetupConfiguration ** | ppConfiguration,
|  | _Reserved_ LPVOID | pReserved
| ) |  |

Gets an ISetupConfiguration that provides information about product instances installed on the machine.

Parameters

  ppConfiguration | The ISetupConfiguration that provides information about product instances installed on the machine.
  pReserved | Reserved for future use.

Returns
  Standard HRESULT indicating success or failure.

## Variable Documentation

## ◆ CLSID_SetupConfiguration

EXTERN_C const CLSID CLSID_SetupConfiguration

Definition at line 488 of file MSVCSetupApi.h.

## ◆ IID_IEnumSetupInstances

EXTERN_C const IID IID_IEnumSetupInstances

Definition at line 276 of file MSVCSetupApi.h.

## ◆ IID_ISetupConfiguration

EXTERN_C const IID IID_ISetupConfiguration

Definition at line 327 of file MSVCSetupApi.h.

## ◆ IID_ISetupConfiguration2

EXTERN_C const IID IID_ISetupConfiguration2

Definition at line 364 of file MSVCSetupApi.h.

## ◆ IID_ISetupHelper

EXTERN_C const IID IID_ISetupHelper

Definition at line 445 of file MSVCSetupApi.h.

## ◆ IID_ISetupInstance

EXTERN_C const IID IID_ISetupInstance

Definition at line 127 of file MSVCSetupApi.h.

## ◆ IID_ISetupInstance2

EXTERN_C const IID IID_ISetupInstance2

Definition at line 225 of file MSVCSetupApi.h.

## ◆ IID_ISetupPackageReference

EXTERN_C const IID IID_ISetupPackageReference

Definition at line 382 of file MSVCSetupApi.h.